summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Murat D. Kadirov <banderols@gmail.com>2010-05-11 22:55:32 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:32 +0200
commit37295d878233c06ac1bafe47fdaee00aa7d2c3fe (patch)
treef92b24626e4049ba41c49bf69d3e6d9b6eb629a8
parent02e41f7f9cff08a655e28989e08a955b3515b472 (diff)
downloadslackbuilds-37295d878233c06ac1bafe47fdaee00aa7d2c3fe.tar.gz
slackbuilds-37295d878233c06ac1bafe47fdaee00aa7d2c3fe.tar.xz
system/suspend: Added to 12.1 repository
-rw-r--r--system/suspend/README8
-rw-r--r--system/suspend/slack-desc19
-rw-r--r--system/suspend/suspend.SlackBuild68
-rw-r--r--system/suspend/suspend.info8
4 files changed, 103 insertions, 0 deletions
diff --git a/system/suspend/README b/system/suspend/README
new file mode 100644
index 0000000000..72c6cb1268
--- /dev/null
+++ b/system/suspend/README
@@ -0,0 +1,8 @@
+This package contains some userland tools allowing you to suspend a Linux
+system either to disk or to RAM. These tools provide some capabilities
+that are not available in the vanilla Linux kernel.
+
+This requires libx86, which is also available from SlackBuilds.org.
+
+This also requires quite a bit of configuration after installation;
+be sure to read the documentation in /usr/doc/suspend-0.8/.
diff --git a/system/suspend/slack-desc b/system/suspend/slack-desc
new file mode 100644
index 0000000000..a9dfa87ca0
--- /dev/null
+++ b/system/suspend/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+suspend: suspend (userland tools for s2disk and s2ram)
+suspend:
+suspend: This package contains some userland tools allowing you
+suspend: to suspend a Linux system either to disk or to RAM.
+suspend: These tools provide some capabilities that are not
+suspend: available in the vanilla Linux kernel.
+suspend:
+suspend:
+suspend:
+suspend:
+suspend:
diff --git a/system/suspend/suspend.SlackBuild b/system/suspend/suspend.SlackBuild
new file mode 100644
index 0000000000..f1a1a5794a
--- /dev/null
+++ b/system/suspend/suspend.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for suspend
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+
+PRGNAM=suspend
+VERSION=${VERSION:-0.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.GPL HOWTO ChangeLog README* ReleaseNotes TODO \
+doc/installation-on-SUSE-10.1.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -r $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/suspend/suspend.info b/system/suspend/suspend.info
new file mode 100644
index 0000000000..80eeeaf0c1
--- /dev/null
+++ b/system/suspend/suspend.info
@@ -0,0 +1,8 @@
+PRGNAM="suspend"
+VERSION="0.8"
+HOMEPAGE="http://suspend.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/suspend/suspend-0.8.tar.gz"
+MD5SUM="c81817b2ba2be899cdb32c00de016bff"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="rworkman"